## pipebench 0.40

=== Makefile ===
# $Id: Makefile,v 1.2 2002/12/15 19:58:36 marvin Exp $

CC=gcc
CFLAGS=-Wall -w -pedantic

all: pipebench
doc: pipebench.1
install: pipebench
	cp pipebench /usr/local/bin/
	cp pipebench.1 /usr/local/man/man1/

pipebench: pipebench.c
	$(CC) $(CFLAGS) -o pipebench pipebench.c

pipebench.1: pipebench.yodl
	yodl2man -o pipebench.1 pipebench.yodl

clean:
	rm -f pipebench *.o

=== debian/changelog ===
pipebench (0.40-7) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/tests/control: set the first test as superficial.
  * debian/watch:
      - Dropped a search rule.
      - Using a secure URI.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Dec 2022 01:49:44 -0300

pipebench (0.40-6) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Removed empty Uploaders field.
  * debian/copyright:
      - Added packaging rights for Raphaël Hertzog and Samuel Henrique.
      - Updated packaging copyright years.
  * debian/fix-makefile: renamed to 010_fix-makefile.patch.
  * debian/patches/:
      - 020_fix-spelling-error.patch: created to fix a spelling error.
      - 030_remove-dot.patch: created to remove a dot-slash from command.
  * debian/tests/control: created to perform trivial CI tests.
  * debian/watch: bumped to version 4.

  [ Raphaël Hertzog ]
  * Team upload.
  * Drop Christophe Monniez from Uploaders.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Apr 2020 23:53:58 -0300

pipebench (0.40-5) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * d/control:
    - Bump Standards-Version to 4.2.1
    - Bump debhelper version to 11
    - Tidy the description of pipebench
  * d/copyright:
    - Replace "http" with "https" in URL
    - Update copyright info.
  * d/compat:
    - Bump version to 11
  * Add upstream metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 30 Aug 2018 11:05:04 +0800

pipebench (0.40-4) unstable; urgency=medium

  * Team upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/control:
      - Added the word 'forensics' to long description.
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information.
  * debian/dirs: added to create some directories.
  * debian/docs: added to install the README file.
  * debian/patches/fix-makefile: created to add GCC hardening and fix the
    install path.
  * debian/pipebench.install: removed. Using a patch to fix the Makefile.
  * debian/pipebench.manpages: removed. Using a patch to fix the Makefile.
  * debian/source.lintian-overrides: removed. Using 'Team upload' now.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Jul 2015 21:54:14 -0300

pipebench (0.40-3) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:19:50 +0200

pipebench (0.40-2) unstable; urgency=low

  * Updating vcs fields.
  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:54:15 +0200

pipebench (0.40-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #465271).
  * Bumping package to debhelper 6
  * Adapted copyright file to be machine-readable
  * Changed package section admin to utils
  * Changed package priority from extra to optional
  * Changed maintainer to debian-forensics
  * Added a homepage field in the control file
  * Added git fields in the control file
  * Adapted Makefile with a DESTDIR
  * Removed manpage from the install rule in Makefile
  * Cleaned debian/rules
  * Removed traces of configure-stamp in debian/rules
  * Finally adding a debian/dirs file, remove was not a good idea
  * Changed architecture from i386 to any
  * Adding ITP bug number to changelog

  [ Daniel Baumann ]
  * Removing useless whitespaces.
  * Some minor cleanups.
  * Removing README from docs, no useful information in there.
  * Using dedicated manpages file.
  * Removing not required target depends in rules.
  * Don't hide make errors in clean target of rules.
  * Cleaning up target depends in rules.
  * Correcting copyright file.
  * Correcting typo in copyright.
  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Updating formatting of copyright file.
  * Reverting direct modification on Makefile.
  * Using debhelper install file to install binaries.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:30:00 +0200

=== debian/control ===
Source: pipebench
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.habets.pp.se/synscan/programs.php?prog=pipebench
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pipebench
Vcs-Git: https://salsa.debian.org/pkg-security-team/pipebench.git

Package: pipebench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: measure the speed of stdin/stdout communication
 Pipebench shows the current throughput and amount of data going
 through a pipe.
 .
 This is useful in forensics investigations and other actions.

=== debian/tests/control ===
Test-Command: pipebench -h
Restrictions: superficial

Test-Command: dd if=/dev/zero bs=80k count=60k 2> /dev/null | pipebench -q > /dev/null
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://www.habets.pp.se/synscan/files/pipebench-(\d\S+)\.tar\.(?:bz2|gz|xz)
